POST
Sign MPC transaction
Sign transactions for MPC wallets. If using external-signer mode, you must maintain your keys, in the clear, on a separate Express server - BitGo doesn't decrypt your private MPC key shares.
Path Params
-
coinstring requiredA cryptocurrency or token ticker symbol. -
walletIdstring requiredThe wallet ID.
Body Params
ANY OF
-
txRequestIdstring requiredA unique ID for the TxRequest document across all wallets. The combination of the txRequestId and version will always be unique. -
versionnumber requiredThe version of the document. Data changes are done only with inserts and incrementing the version. -
latestboolean requiredA boolean flag that indicates whether the document is the latest version of the TxRequest. -
walletIdstring requiredThe id of the Wallet the TxRequest is for. -
walletTypestring enumThe type describes who owns the keys to the wallet associated to the TxRequest.coldcustodialcustodialPairedhottradingdistributedCustodyadvanced -
enterpriseIdstringIf the wallet that owns the TxRequest is owned by an enterprise then this is the Id of said enterprise. -
statestring enum requiredinitializedpendingApprovalpendingUserCommitmentpendingUserRSharependingUserGSharereadyToSendpendingUserSignaturependingDeliverysigneddeliveredcanceledrejectedfailed -
datestring date-time requiredThe date and time this version of the TxRequest document was created. -
createdDatestring date-time requiredThe date and time the version 1 TxRequest document was created. -
userIdstring requiredThe Id of the User that produced this version of the TxRequest document. Could have created a new document or updated an existing document. -
initiatedBystring requiredThe Id of the User that originally created the TxRequest document (initiated the TxRequest). -
updatedBystring requiredThe Id of the User that last updated the TxRequest document. This is an alias for the userId field. -
intentobject requiredANY OF
- AdaStakeIntent1
- ConsolidateTokenIntent1
- CosmosContractCallIntent1
- DOTClaimIntent
- DotPaymentIntent1
- DotStakingIntent1
- DotUnstakingIntent1
- EthAccelerationIntent1
- EthFillNonceIntent1
- EthPaymentIntent1
- ETHSignMessageIntent
- EthStakingIntent1
- NearStakeIntent1
- NearUnstakeIntent1
- NearWithdrawIntent1
- SolClaimIntent1
- SolCloseAssociatedTokenAccountIntent1
- SolCreateAssociatedTokenAccountIntent1
- SolStakeIntent1
- SolUnstakeIntent1
- TransferTokenIntent1
- TrxDelegateResourceIntent1
- TrxUndelegateResourceIntent1
- UnstakeIntent2
- WalletRecoveryIntent1
- WithdrawIntent2
No matching variants
-
intentTypestring required -
sequenceIdstringAsequenceIdis a unique and arbitrary wallet identifier applied to transfers and transactions at creation. It is optional but highly recommended. With asequenceIdyou can easily reference transfers and transactions—for example, to safely retry sending. Because BitGo only confirms one send request persequenceId(and fails all subsequent attempts), you can retry sending without the risk of double spending. ThesequenceIdis only visible to users on the wallet and is not shared publicly. It is the responsibility of the caller to keep track of this ID. -
commentstringThecommentis only visible to users on the wallet and is not shared publicly. -
noncestringThe 'nonce' of a transaction (optional) -
memostringAmemois an additional address feature necessary for identifying a transaction recipient beyond wallet address. -
stakingRequestIdstring required -
intentTypestring enum requiredstake -
poolKeyHashstring requiredThe pool key hash to which the coins will be delegated to.
-
intentTypestring required -
sequenceIdstringAsequenceIdis a unique and arbitrary wallet identifier applied to transfers and transactions at creation. It is optional but highly recommended. With asequenceIdyou can easily reference transfers and transactions—for example, to safely retry sending. Because BitGo only confirms one send request persequenceId(and fails all subsequent attempts), you can retry sending without the risk of double spending. ThesequenceIdis only visible to users on the wallet and is not shared publicly. It is the responsibility of the caller to keep track of this ID. -
commentstringThecommentis only visible to users on the wallet and is not shared publicly. -
noncestringThe 'nonce' of a transaction (optional) -
memostringAmemois an additional address feature necessary for identifying a transaction recipient beyond wallet address. -
feeOptionsobjectONE OF
-
unitstring enumbaseUnitcpuram -
formulastring enumfixedfeeRateperKBcustomperVKB -
feeTypestring enumbasemaxtip -
gasLimitnumber -
gasPricenumber
-
gasLimitnumber -
maxFeePerGasnumber -
maxPriorityFeePerGasnumber
-
-
hopParamsobjecthopParams object
-
gasPriceMaxnumber required -
paymentIdstring required -
userReqSigstring required
-
-
receiveAddressstring -
senderAddressIndexnumber -
noncestring or number -
intentTypestring enum requiredconsolidateToken -
recipientsarray of objects requiredrecipients object
-
addressobject requiredaddress object
-
addressstring required -
optionsobject
-
-
amountobject requiredamount object
-
valuestring requiredThe value should be a valid number. -
symbolstring requiredThe coin or token the value is referring to.
-
-
datastring -
tokenDataobjecttokenData object
-
tokenTypestringThe type of standard of the token. -
tokenQuantitystringThe quantity of token to transfer (should be 1 for ERC721). -
tokenContractAddressstringAddress of the token contract which is necessary if the token is not supported on WP. -
tokenNamestringName of the token as it is supported on WP. -
tokenIdstringId of the token to be transferred which is required for NFTs. -
decimalPlacesnumberNumber of decimal places the token uses (for fungible tokens unsupported in WP).
-
-
-
consolidateIdstringConsolidation ID of this consolidation transaction -
keepAlivestringTrue, if excluding the minimum-funding amounts in an address during consolidation.
-
intentTypestring required -
sequenceIdstringAsequenceIdis a unique and arbitrary wallet identifier applied to transfers and transactions at creation. It is optional but highly recommended. With asequenceIdyou can easily reference transfers and transactions—for example, to safely retry sending. Because BitGo only confirms one send request persequenceId(and fails all subsequent attempts), you can retry sending without the risk of double spending. ThesequenceIdis only visible to users on the wallet and is not shared publicly. It is the responsibility of the caller to keep track of this ID. -
commentstringThecommentis only visible to users on the wallet and is not shared publicly. -
noncestringThe 'nonce' of a transaction (optional) -
memostringAmemois an additional address feature necessary for identifying a transaction recipient beyond wallet address. -
intentTypestring enum requiredcontractCall -
contractstring requiredThe address of the contract to call. -
msgHexstring requiredThe binary message data to send to the contract in hex format.
-
noncestring -
feeobjectfee object
-
amountstring required -
unitstring enumbaseUnitcpuram -
formulastring enumfixedfeeRateperKBcustom -
typestring enumbasemaxtip
-
-
intentTypestring required -
sequenceIdstringAsequenceIdis a unique and arbitrary wallet identifier applied to transfers and transactions at creation. It is optional but highly recommended. With asequenceIdyou can easily reference transfers and transactions—for example, to safely retry sending. Because BitGo only confirms one send request persequenceId(and fails all subsequent attempts), you can retry sending without the risk of double spending. ThesequenceIdis only visible to users on the wallet and is not shared publicly. It is the responsibility of the caller to keep track of this ID. -
commentstringThecommentis only visible to users on the wallet and is not shared publicly. -
noncestringThe 'nonce' of a transaction (optional) -
memostringAmemois an additional address feature necessary for identifying a transaction recipient beyond wallet address. -
stakingRequestIdstring required -
intentTypestring enum requiredclaim
-
proxyobject requiredproxy object
-
namestring -
addressStringstring -
assetstring -
amountStringstring
-
-
ownerstring required -
intentstring enum requiredpayment -
recipientsarray of objects requiredrecipients object
-
addressobject requiredaddress object
-
addressstring -
optionmap of objects
-
-
amountobject requiredamount object
-
valuestring required -
symbolstring required
-
-
datastring
-
-
intentTypestring enum requiredpaymenttransferTokenconsolidateconsolidateTokenfanoutstakeunstakedelegateundelegateswitchValidatorclaimstakeClaimRewardspledgevotecreateAccountupdateAccountaddTrustLineremoveTrustLinesignMessagesignTypedStructuredDataenableTokenauthorizeaccelerationfillNoncewalletRecoverycontractCalldeactivatecustomTxcloseAssociatedTokenAccountdelegateResourceundelegateResource -
sequenceIdstring -
commentstring -
noncestring or number -
feeobjectfee object
-
amountstring or number required -
formulastring enumfixedfeeRateperKBcustom -
typestring enumbasemaxtip -
unitstring enumbaseUnitcpuram
-
-
noncestring or number
-
amountobject requiredamount object
-
valuestring required -
symbolstring required
-
-
stakingProxystring required -
addToStakeboolean -
addProxyboolean -
intentTypestring enum requiredstake -
stakingRequestIdstring required -
intentTypestring enum requiredpaymenttransferTokenconsolidateconsolidateTokenfanoutstakeunstakedelegateundelegateswitchValidatorclaimstakeClaimRewardspledgevotecreateAccountupdateAccountaddTrustLineremoveTrustLinesignMessagesignTypedStructuredDataenableTokenauthorizeaccelerationfillNoncewalletRecoverycontractCalldeactivatecustomTxcloseAssociatedTokenAccountdelegateResourceundelegateResource -
sequenceIdstring -
commentstring -
noncestring or number -
feeobjectfee object
-
amountstring or number required -
formulastring enumfixedfeeRateperKBcustom -
typestring enumbasemaxtip -
unitstring enumbaseUnitcpuram
-
-
noncestring or number
-
amountobject requiredamount object
-
valuestring required -
symbolstring required
-
-
stakingProxystring required -
stopStakingboolean -
intentTypestring enum requiredunstake -
stakingRequestIdstring required -
intentTypestring enum requiredpaymenttransferTokenconsolidateconsolidateTokenfanoutstakeunstakedelegateundelegateswitchValidatorclaimstakeClaimRewardspledgevotecreateAccountupdateAccountaddTrustLineremoveTrustLinesignMessagesignTypedStructuredDataenableTokenauthorizeaccelerationfillNoncewalletRecoverycontractCalldeactivatecustomTxcloseAssociatedTokenAccountdelegateResourceundelegateResource -
sequenceIdstring -
commentstring -
noncestring or number -
feeobjectfee object
-
amountstring or number required -
formulastring enumfixedfeeRateperKBcustom -
typestring enumbasemaxtip -
unitstring enumbaseUnitcpuram
-
-
noncestring or number
-
feeOptionsobject requiredONE OF
-
unitstring enumbaseUnitcpuram -
formulastring enumfixedfeeRateperKBcustomperVKB -
feeTypestring enumbasemaxtip -
gasLimitnumber -
gasPricenumber
-
gasLimitnumber -
maxFeePerGasnumber -
maxPriorityFeePerGasnumber
-
-
intentTypestring enum requiredacceleration -
txidstring required -
intentTypestring enum requiredpaymenttransferTokenconsolidateconsolidateTokenfanoutstakeunstakedelegateundelegateswitchValidatorclaimstakeClaimRewardspledgevotecreateAccountupdateAccountaddTrustLineremoveTrustLinesignMessagesignTypedStructuredDataenableTokenauthorizeaccelerationfillNoncewalletRecoverycontractCalldeactivatecustomTxcloseAssociatedTokenAccountdelegateResourceundelegateResource -
sequenceIdstring -
commentstring -
noncestring or number -
hopParamsobjecthopParams object
-
gasPriceMaxnumber required -
paymentIdstring required -
userReqSigstring required
-
-
receiveAddressstring -
senderAddressIndexnumber -
noncestring or number
-
intentTypestring enum requiredfillNonce -
noncestring or number required -
intentTypestring enum requiredpaymenttransferTokenconsolidateconsolidateTokenfanoutstakeunstakedelegateundelegateswitchValidatorclaimstakeClaimRewardspledgevotecreateAccountupdateAccountaddTrustLineremoveTrustLinesignMessagesignTypedStructuredDataenableTokenauthorizeaccelerationfillNoncewalletRecoverycontractCalldeactivatecustomTxcloseAssociatedTokenAccountdelegateResourceundelegateResource -
sequenceIdstring -
commentstring -
feeOptionsobjectONE OF
-
unitstring enumbaseUnitcpuram -
formulastring enumfixedfeeRateperKBcustomperVKB -
feeTypestring enumbasemaxtip -
gasLimitnumber -
gasPricenumber
-
gasLimitnumber -
maxFeePerGasnumber -
maxPriorityFeePerGasnumber
-
-
receiveAddressstring -
senderAddressIndexnumber
-
selfSendboolean required -
intentstring enum requiredpayment -
recipientsarray of objects requiredrecipients object
-
addressobject requiredaddress object
-
addressstring -
optionmap of objects
-
-
amountobject requiredamount object
-
valuestring required -
symbolstring required
-
-
datastring
-
-
intentTypestring enum requiredpaymenttransferTokenconsolidateconsolidateTokenfanoutstakeunstakedelegateundelegateswitchValidatorclaimstakeClaimRewardspledgevotecreateAccountupdateAccountaddTrustLineremoveTrustLinesignMessagesignTypedStructuredDataenableTokenauthorizeaccelerationfillNoncewalletRecoverycontractCalldeactivatecustomTxcloseAssociatedTokenAccountdelegateResourceundelegateResource -
sequenceIdstring -
commentstring -
noncestring or number -
feeOptionsobjectONE OF
-
unitstring enumbaseUnitcpuram -
formulastring enumfixedfeeRateperKBcustomperVKB -
feeTypestring enumbasemaxtip -
gasLimitnumber -
gasPricenumber
-
gasLimitnumber -
maxFeePerGasnumber -
maxPriorityFeePerGasnumber
-
-
hopParamsobjecthopParams object
-
gasPriceMaxnumber required -
paymentIdstring required -
userReqSigstring required
-
-
receiveAddressstring -
senderAddressIndexnumber -
noncestring or number
-
intentTypestring required -
sequenceIdstringAsequenceIdis a unique and arbitrary wallet identifier applied to transfers and transactions at creation. It is optional but highly recommended. With asequenceIdyou can easily reference transfers and transactions—for example, to safely retry sending. Because BitGo only confirms one send request persequenceId(and fails all subsequent attempts), you can retry sending without the risk of double spending. ThesequenceIdis only visible to users on the wallet and is not shared publicly. It is the responsibility of the caller to keep track of this ID. -
commentstringThecommentis only visible to users on the wallet and is not shared publicly. -
noncestringThe 'nonce' of a transaction (optional) -
memostringAmemois an additional address feature necessary for identifying a transaction recipient beyond wallet address. -
intentTypestring enum requiredsignMessage
-
pubkeystring required -
withdrawalCredentialsstring required -
signaturestring required -
depositDataRootstring required -
intentTypestring enum requiredstake -
stakingRequestIdstring required -
intentTypestring enum requiredpaymenttransferTokenconsolidateconsolidateTokenfanoutstakeunstakedelegateundelegateswitchValidatorclaimstakeClaimRewardspledgevotecreateAccountupdateAccountaddTrustLineremoveTrustLinesignMessagesignTypedStructuredDataenableTokenauthorizeaccelerationfillNoncewalletRecoverycontractCalldeactivatecustomTxcloseAssociatedTokenAccountdelegateResourceundelegateResource -
sequenceIdstring -
commentstring -
noncestring or number -
feeOptionsobjectONE OF
-
unitstring enumbaseUnitcpuram -
formulastring enumfixedfeeRateperKBcustomperVKB -
feeTypestring enumbasemaxtip -
gasLimitnumber -
gasPricenumber
-
gasLimitnumber -
maxFeePerGasnumber -
maxPriorityFeePerGasnumber
-
-
hopParamsobjecthopParams object
-
gasPriceMaxnumber required -
paymentIdstring required -
userReqSigstring required
-
-
receiveAddressstring -
senderAddressIndexnumber -
noncestring or number
-
intentTypestring required -
sequenceIdstringAsequenceIdis a unique and arbitrary wallet identifier applied to transfers and transactions at creation. It is optional but highly recommended. With asequenceIdyou can easily reference transfers and transactions—for example, to safely retry sending. Because BitGo only confirms one send request persequenceId(and fails all subsequent attempts), you can retry sending without the risk of double spending. ThesequenceIdis only visible to users on the wallet and is not shared publicly. It is the responsibility of the caller to keep track of this ID. -
commentstringThecommentis only visible to users on the wallet and is not shared publicly. -
noncestringThe 'nonce' of a transaction (optional) -
memostringAmemois an additional address feature necessary for identifying a transaction recipient beyond wallet address. -
stakingRequestIdstring required -
intentTypestring enum requiredstake -
recipientsarray of objects requiredrecipients object
-
addressobject requiredaddress object
-
addressstring required -
optionsobject
-
-
amountobject requiredamount object
-
valuestring requiredThe value should be a valid number. -
symbolstring requiredThe coin or token the value is referring to.
-
-
datastring -
tokenDataobjecttokenData object
-
tokenTypestringThe type of standard of the token. -
tokenQuantitystringThe quantity of token to transfer (should be 1 for ERC721). -
tokenContractAddressstringAddress of the token contract which is necessary if the token is not supported on WP. -
tokenNamestringName of the token as it is supported on WP. -
tokenIdstringId of the token to be transferred which is required for NFTs. -
decimalPlacesnumberNumber of decimal places the token uses (for fungible tokens unsupported in WP).
-
-
-
intentTypestring required -
sequenceIdstringAsequenceIdis a unique and arbitrary wallet identifier applied to transfers and transactions at creation. It is optional but highly recommended. With asequenceIdyou can easily reference transfers and transactions—for example, to safely retry sending. Because BitGo only confirms one send request persequenceId(and fails all subsequent attempts), you can retry sending without the risk of double spending. ThesequenceIdis only visible to users on the wallet and is not shared publicly. It is the responsibility of the caller to keep track of this ID. -
commentstringThecommentis only visible to users on the wallet and is not shared publicly. -
noncestringThe 'nonce' of a transaction (optional) -
memostringAmemois an additional address feature necessary for identifying a transaction recipient beyond wallet address. -
stakingRequestIdstring required -
intentTypestring enum requiredunstake -
recipientsarray of objects requiredrecipients object
-
addressobject requiredaddress object
-
addressstring required -
optionsobject
-
-
amountobject requiredamount object
-
valuestring requiredThe value should be a valid number. -
symbolstring requiredThe coin or token the value is referring to.
-
-
datastring -
tokenDataobjecttokenData object
-
tokenTypestringThe type of standard of the token. -
tokenQuantitystringThe quantity of token to transfer (should be 1 for ERC721). -
tokenContractAddressstringAddress of the token contract which is necessary if the token is not supported on WP. -
tokenNamestringName of the token as it is supported on WP. -
tokenIdstringId of the token to be transferred which is required for NFTs. -
decimalPlacesnumberNumber of decimal places the token uses (for fungible tokens unsupported in WP).
-
-
-
intentTypestring required -
sequenceIdstringAsequenceIdis a unique and arbitrary wallet identifier applied to transfers and transactions at creation. It is optional but highly recommended. With asequenceIdyou can easily reference transfers and transactions—for example, to safely retry sending. Because BitGo only confirms one send request persequenceId(and fails all subsequent attempts), you can retry sending without the risk of double spending. ThesequenceIdis only visible to users on the wallet and is not shared publicly. It is the responsibility of the caller to keep track of this ID. -
commentstringThecommentis only visible to users on the wallet and is not shared publicly. -
noncestringThe 'nonce' of a transaction (optional) -
memostringAmemois an additional address feature necessary for identifying a transaction recipient beyond wallet address. -
stakingRequestIdstring required -
intentTypestring enum requiredclaim -
recipientsarray of objects requiredrecipients object
-
addressobject requiredaddress object
-
addressstring required -
optionsobject
-
-
amountobject requiredamount object
-
valuestring requiredThe value should be a valid number. -
symbolstring requiredThe coin or token the value is referring to.
-
-
datastring -
tokenDataobjecttokenData object
-
tokenTypestringThe type of standard of the token. -
tokenQuantitystringThe quantity of token to transfer (should be 1 for ERC721). -
tokenContractAddressstringAddress of the token contract which is necessary if the token is not supported on WP. -
tokenNamestringName of the token as it is supported on WP. -
tokenIdstringId of the token to be transferred which is required for NFTs. -
decimalPlacesnumberNumber of decimal places the token uses (for fungible tokens unsupported in WP).
-
-
-
stakingAddressstring required -
amountobject requiredamount object
-
valuestring required -
symbolstring required
-
-
intentTypestring enum requiredclaim -
amountobject requiredamount object
-
symbolstring required -
valuestring required
-
-
stakingRequestIdstring required -
intentTypestring enum requiredpaymenttransferTokenconsolidateconsolidateTokenfanoutstakeunstakedelegateundelegateswitchValidatorclaimstakeClaimRewardspledgevotecreateAccountupdateAccountaddTrustLineremoveTrustLinesignMessagesignTypedStructuredDataenableTokenauthorizeaccelerationfillNoncewalletRecoverycontractCalldeactivatecustomTxcloseAssociatedTokenAccountdelegateResourceundelegateResource -
sequenceIdstring -
commentstring -
noncestring or number -
memostring required -
noncestring or number
-
intentTypestring enum requiredcloseAssociatedTokenAccount -
recipientsarray of objects requiredrecipients object
-
addressobject requiredaddress object
-
addressstring required -
optionsobject
-
-
amountobject requiredamount object
-
valuestring requiredThe value should be a valid number. -
symbolstring requiredThe coin or token the value is referring to.
-
-
datastring -
tokenDataobjecttokenData object
-
tokenTypestringThe type of standard of the token. -
tokenQuantitystringThe quantity of token to transfer (should be 1 for ERC721). -
tokenContractAddressstringAddress of the token contract which is necessary if the token is not supported on WP. -
tokenNamestringName of the token as it is supported on WP. -
tokenIdstringId of the token to be transferred which is required for NFTs. -
decimalPlacesnumberNumber of decimal places the token uses (for fungible tokens unsupported in WP).
-
-
-
intentTypestring enum requiredpaymenttransferTokenconsolidateconsolidateTokenfanoutstakeunstakedelegateundelegateswitchValidatorclaimstakeClaimRewardspledgevotecreateAccountupdateAccountaddTrustLineremoveTrustLinesignMessagesignTypedStructuredDataenableTokenauthorizeaccelerationfillNoncewalletRecoverycontractCalldeactivatecustomTxcloseAssociatedTokenAccountdelegateResourceundelegateResource -
sequenceIdstring -
commentstring -
noncestring or number -
memostring required -
noncestring or number
-
intentTypestring enum requiredenableToken -
enableTokensarray of objects requiredenableTokens object
-
namestring required -
addressstring
-
-
intentTypestring enum requiredpaymenttransferTokenconsolidateconsolidateTokenfanoutstakeunstakedelegateundelegateswitchValidatorclaimstakeClaimRewardspledgevotecreateAccountupdateAccountaddTrustLineremoveTrustLinesignMessagesignTypedStructuredDataenableTokenauthorizeaccelerationfillNoncewalletRecoverycontractCalldeactivatecustomTxcloseAssociatedTokenAccountdelegateResourceundelegateResource -
sequenceIdstring -
commentstring -
noncestring or number -
memostring required -
noncestring or number
-
validatorAddressstring required -
amountobject requiredamount object
-
valuestring required -
symbolstring required
-
-
intentTypestring enum requiredstake -
stakingRequestIdstring required -
intentTypestring enum requiredpaymenttransferTokenconsolidateconsolidateTokenfanoutstakeunstakedelegateundelegateswitchValidatorclaimstakeClaimRewardspledgevotecreateAccountupdateAccountaddTrustLineremoveTrustLinesignMessagesignTypedStructuredDataenableTokenauthorizeaccelerationfillNoncewalletRecoverycontractCalldeactivatecustomTxcloseAssociatedTokenAccountdelegateResourceundelegateResource -
sequenceIdstring -
commentstring -
noncestring or number -
memostring required -
noncestring or number
-
stakingAddressstring required -
amountobjectamount object
-
symbolstring required -
valuestring required
-
-
remainingStakingAmountobjectremainingStakingAmount object
-
symbolstring required -
valuestring required
-
-
intentTypestring enum requiredunstake -
stakingRequestIdstring required -
intentTypestring enum requiredpaymenttransferTokenconsolidateconsolidateTokenfanoutstakeunstakedelegateundelegateswitchValidatorclaimstakeClaimRewardspledgevotecreateAccountupdateAccountaddTrustLineremoveTrustLinesignMessagesignTypedStructuredDataenableTokenauthorizeaccelerationfillNoncewalletRecoverycontractCalldeactivatecustomTxcloseAssociatedTokenAccountdelegateResourceundelegateResource -
sequenceIdstring -
commentstring -
noncestring or number -
memostring required -
noncestring or number
-
intentTypestring required -
sequenceIdstringAsequenceIdis a unique and arbitrary wallet identifier applied to transfers and transactions at creation. It is optional but highly recommended. With asequenceIdyou can easily reference transfers and transactions—for example, to safely retry sending. Because BitGo only confirms one send request persequenceId(and fails all subsequent attempts), you can retry sending without the risk of double spending. ThesequenceIdis only visible to users on the wallet and is not shared publicly. It is the responsibility of the caller to keep track of this ID. -
commentstringThecommentis only visible to users on the wallet and is not shared publicly. -
noncestringThe 'nonce' of a transaction (optional) -
memostringAmemois an additional address feature necessary for identifying a transaction recipient beyond wallet address. -
intentTypestring enum requiredtransferToken -
recipientsarray of objectsrecipients object
-
addressobject requiredaddress object
-
addressstring required -
optionsobject
-
-
amountobject requiredamount object
-
valuestring requiredThe value should be a valid number. -
symbolstring requiredThe coin or token the value is referring to.
-
-
datastring -
tokenDataobjecttokenData object
-
tokenTypestringThe type of standard of the token. -
tokenQuantitystringThe quantity of token to transfer (should be 1 for ERC721). -
tokenContractAddressstringAddress of the token contract which is necessary if the token is not supported on WP. -
tokenNamestringName of the token as it is supported on WP. -
tokenIdstringId of the token to be transferred which is required for NFTs. -
decimalPlacesnumberNumber of decimal places the token uses (for fungible tokens unsupported in WP).
-
-
-
intentTypestring enum requireddelegateResource -
stakingRequestIdstring required -
ownerAddressstring requiredTRON address delegating resources (typically the wallet root address) -
receiverAddressstring requiredTRON address receiving the delegated ENERGY or BANDWIDTH -
amountobject requiredamount object
-
valuestring required -
symbolstring required
-
-
resourcestring enum requiredENERGYBANDWIDTH -
intentTypestring enum requiredpaymenttransferTokenconsolidateconsolidateTokenfanoutstakeunstakedelegateundelegateswitchValidatorclaimstakeClaimRewardspledgevotecreateAccountupdateAccountaddTrustLineremoveTrustLinesignMessagesignTypedStructuredDataenableTokenauthorizeaccelerationfillNoncewalletRecoverycontractCalldeactivatecustomTxcloseAssociatedTokenAccountdelegateResourceundelegateResource -
sequenceIdstring -
commentstring -
noncestring or number
-
intentTypestring enum requiredundelegateResource -
stakingRequestIdstring required -
ownerAddressstring requiredTRON address that delegated the resources (typically the wallet root address) -
receiverAddressstring requiredTRON address from which resources are being undelegated -
amountobject requiredamount object
-
valuestring required -
symbolstring required
-
-
resourcestring enum requiredENERGYBANDWIDTH -
intentTypestring enum requiredpaymenttransferTokenconsolidateconsolidateTokenfanoutstakeunstakedelegateundelegateswitchValidatorclaimstakeClaimRewardspledgevotecreateAccountupdateAccountaddTrustLineremoveTrustLinesignMessagesignTypedStructuredDataenableTokenauthorizeaccelerationfillNoncewalletRecoverycontractCalldeactivatecustomTxcloseAssociatedTokenAccountdelegateResourceundelegateResource -
sequenceIdstring -
commentstring -
noncestring or number
-
intentTypestring required -
sequenceIdstringAsequenceIdis a unique and arbitrary wallet identifier applied to transfers and transactions at creation. It is optional but highly recommended. With asequenceIdyou can easily reference transfers and transactions—for example, to safely retry sending. Because BitGo only confirms one send request persequenceId(and fails all subsequent attempts), you can retry sending without the risk of double spending. ThesequenceIdis only visible to users on the wallet and is not shared publicly. It is the responsibility of the caller to keep track of this ID. -
commentstringThecommentis only visible to users on the wallet and is not shared publicly. -
noncestringThe 'nonce' of a transaction (optional) -
memostringAmemois an additional address feature necessary for identifying a transaction recipient beyond wallet address. -
stakingRequestIdstring required -
intentTypestring enum requiredunstake
-
intentTypestring required -
sequenceIdstringAsequenceIdis a unique and arbitrary wallet identifier applied to transfers and transactions at creation. It is optional but highly recommended. With asequenceIdyou can easily reference transfers and transactions—for example, to safely retry sending. Because BitGo only confirms one send request persequenceId(and fails all subsequent attempts), you can retry sending without the risk of double spending. ThesequenceIdis only visible to users on the wallet and is not shared publicly. It is the responsibility of the caller to keep track of this ID. -
commentstringThecommentis only visible to users on the wallet and is not shared publicly.
-
intentTypestring required -
sequenceIdstringAsequenceIdis a unique and arbitrary wallet identifier applied to transfers and transactions at creation. It is optional but highly recommended. With asequenceIdyou can easily reference transfers and transactions—for example, to safely retry sending. Because BitGo only confirms one send request persequenceId(and fails all subsequent attempts), you can retry sending without the risk of double spending. ThesequenceIdis only visible to users on the wallet and is not shared publicly. It is the responsibility of the caller to keep track of this ID. -
commentstringThecommentis only visible to users on the wallet and is not shared publicly. -
noncestringThe 'nonce' of a transaction (optional) -
memostringAmemois an additional address feature necessary for identifying a transaction recipient beyond wallet address. -
stakingRequestIdstring required -
intentTypestring enum requiredclaim
-
intentsarray of objects requiredANY OF
- AdaStakeIntent1
- ConsolidateTokenIntent1
- CosmosContractCallIntent1
- DOTClaimIntent
- DotPaymentIntent1
- DotStakingIntent1
- DotUnstakingIntent1
- EthAccelerationIntent1
- EthFillNonceIntent1
- EthPaymentIntent1
- ETHSignMessageIntent
- EthStakingIntent1
- NearStakeIntent1
- NearUnstakeIntent1
- NearWithdrawIntent1
- SolClaimIntent1
- SolCloseAssociatedTokenAccountIntent1
- SolCreateAssociatedTokenAccountIntent1
- SolStakeIntent1
- SolUnstakeIntent1
- TransferTokenIntent1
- TrxDelegateResourceIntent1
- TrxUndelegateResourceIntent1
- UnstakeIntent2
- WalletRecoveryIntent1
- WithdrawIntent2
No matching variants
-
intentTypestring required -
sequenceIdstringAsequenceIdis a unique and arbitrary wallet identifier applied to transfers and transactions at creation. It is optional but highly recommended. With asequenceIdyou can easily reference transfers and transactions—for example, to safely retry sending. Because BitGo only confirms one send request persequenceId(and fails all subsequent attempts), you can retry sending without the risk of double spending. ThesequenceIdis only visible to users on the wallet and is not shared publicly. It is the responsibility of the caller to keep track of this ID. -
commentstringThecommentis only visible to users on the wallet and is not shared publicly. -
noncestringThe 'nonce' of a transaction (optional) -
memostringAmemois an additional address feature necessary for identifying a transaction recipient beyond wallet address. -
stakingRequestIdstring required -
intentTypestring enum requiredstake -
poolKeyHashstring requiredThe pool key hash to which the coins will be delegated to.
-
intentTypestring required -
sequenceIdstringAsequenceIdis a unique and arbitrary wallet identifier applied to transfers and transactions at creation. It is optional but highly recommended. With asequenceIdyou can easily reference transfers and transactions—for example, to safely retry sending. Because BitGo only confirms one send request persequenceId(and fails all subsequent attempts), you can retry sending without the risk of double spending. ThesequenceIdis only visible to users on the wallet and is not shared publicly. It is the responsibility of the caller to keep track of this ID. -
commentstringThecommentis only visible to users on the wallet and is not shared publicly. -
noncestringThe 'nonce' of a transaction (optional) -
memostringAmemois an additional address feature necessary for identifying a transaction recipient beyond wallet address. -
feeOptionsobjectONE OF
-
unitstring enumbaseUnitcpuram -
formulastring enumfixedfeeRateperKBcustomperVKB -
feeTypestring enumbasemaxtip -
gasLimitnumber -
gasPricenumber
-
gasLimitnumber -
maxFeePerGasnumber -
maxPriorityFeePerGasnumber
-
-
hopParamsobjecthopParams object
-
gasPriceMaxnumber required -
paymentIdstring required -
userReqSigstring required
-
-
receiveAddressstring -
senderAddressIndexnumber -
noncestring or number -
intentTypestring enum requiredconsolidateToken -
recipientsarray of objects requiredrecipients object
-
addressobject requiredaddress object
-
addressstring required -
optionsobject
-
-
amountobject requiredamount object
-
valuestring requiredThe value should be a valid number. -
symbolstring requiredThe coin or token the value is referring to.
-
-
datastring -
tokenDataobjecttokenData object
-
tokenTypestringThe type of standard of the token. -
tokenQuantitystringThe quantity of token to transfer (should be 1 for ERC721). -
tokenContractAddressstringAddress of the token contract which is necessary if the token is not supported on WP. -
tokenNamestringName of the token as it is supported on WP. -
tokenIdstringId of the token to be transferred which is required for NFTs. -
decimalPlacesnumberNumber of decimal places the token uses (for fungible tokens unsupported in WP).
-
-
-
consolidateIdstringConsolidation ID of this consolidation transaction -
keepAlivestringTrue, if excluding the minimum-funding amounts in an address during consolidation.
-
intentTypestring required -
sequenceIdstringAsequenceIdis a unique and arbitrary wallet identifier applied to transfers and transactions at creation. It is optional but highly recommended. With asequenceIdyou can easily reference transfers and transactions—for example, to safely retry sending. Because BitGo only confirms one send request persequenceId(and fails all subsequent attempts), you can retry sending without the risk of double spending. ThesequenceIdis only visible to users on the wallet and is not shared publicly. It is the responsibility of the caller to keep track of this ID. -
commentstringThecommentis only visible to users on the wallet and is not shared publicly. -
noncestringThe 'nonce' of a transaction (optional) -
memostringAmemois an additional address feature necessary for identifying a transaction recipient beyond wallet address. -
intentTypestring enum requiredcontractCall -
contractstring requiredThe address of the contract to call. -
msgHexstring requiredThe binary message data to send to the contract in hex format.
-
noncestring -
feeobjectfee object
-
amountstring required -
unitstring enumbaseUnitcpuram -
formulastring enumfixedfeeRateperKBcustom -
typestring enumbasemaxtip
-
-
intentTypestring required -
sequenceIdstringAsequenceIdis a unique and arbitrary wallet identifier applied to transfers and transactions at creation. It is optional but highly recommended. With asequenceIdyou can easily reference transfers and transactions—for example, to safely retry sending. Because BitGo only confirms one send request persequenceId(and fails all subsequent attempts), you can retry sending without the risk of double spending. ThesequenceIdis only visible to users on the wallet and is not shared publicly. It is the responsibility of the caller to keep track of this ID. -
commentstringThecommentis only visible to users on the wallet and is not shared publicly. -
noncestringThe 'nonce' of a transaction (optional) -
memostringAmemois an additional address feature necessary for identifying a transaction recipient beyond wallet address. -
stakingRequestIdstring required -
intentTypestring enum requiredclaim
-
proxyobject requiredproxy object
-
namestring -
addressStringstring -
assetstring -
amountStringstring
-
-
ownerstring required -
intentstring enum requiredpayment -
recipientsarray of objects requiredrecipients object
-
addressobject requiredaddress object
-
addressstring -
optionmap of objects
-
-
amountobject requiredamount object
-
valuestring required -
symbolstring required
-
-
datastring
-
-
intentTypestring enum requiredpaymenttransferTokenconsolidateconsolidateTokenfanoutstakeunstakedelegateundelegateswitchValidatorclaimstakeClaimRewardspledgevotecreateAccountupdateAccountaddTrustLineremoveTrustLinesignMessagesignTypedStructuredDataenableTokenauthorizeaccelerationfillNoncewalletRecoverycontractCalldeactivatecustomTxcloseAssociatedTokenAccountdelegateResourceundelegateResource -
sequenceIdstring -
commentstring -
noncestring or number -
feeobjectfee object
-
amountstring or number required -
formulastring enumfixedfeeRateperKBcustom -
typestring enumbasemaxtip -
unitstring enumbaseUnitcpuram
-
-
noncestring or number
-
amountobject requiredamount object
-
valuestring required -
symbolstring required
-
-
stakingProxystring required -
addToStakeboolean -
addProxyboolean -
intentTypestring enum requiredstake -
stakingRequestIdstring required -
intentTypestring enum requiredpaymenttransferTokenconsolidateconsolidateTokenfanoutstakeunstakedelegateundelegateswitchValidatorclaimstakeClaimRewardspledgevotecreateAccountupdateAccountaddTrustLineremoveTrustLinesignMessagesignTypedStructuredDataenableTokenauthorizeaccelerationfillNoncewalletRecoverycontractCalldeactivatecustomTxcloseAssociatedTokenAccountdelegateResourceundelegateResource -
sequenceIdstring -
commentstring -
noncestring or number -
feeobjectfee object
-
amountstring or number required -
formulastring enumfixedfeeRateperKBcustom -
typestring enumbasemaxtip -
unitstring enumbaseUnitcpuram
-
-
noncestring or number
-
amountobject requiredamount object
-
valuestring required -
symbolstring required
-
-
stakingProxystring required -
stopStakingboolean -
intentTypestring enum requiredunstake -
stakingRequestIdstring required -
intentTypestring enum requiredpaymenttransferTokenconsolidateconsolidateTokenfanoutstakeunstakedelegateundelegateswitchValidatorclaimstakeClaimRewardspledgevotecreateAccountupdateAccountaddTrustLineremoveTrustLinesignMessagesignTypedStructuredDataenableTokenauthorizeaccelerationfillNoncewalletRecoverycontractCalldeactivatecustomTxcloseAssociatedTokenAccountdelegateResourceundelegateResource -
sequenceIdstring -
commentstring -
noncestring or number -
feeobjectfee object
-
amountstring or number required -
formulastring enumfixedfeeRateperKBcustom -
typestring enumbasemaxtip -
unitstring enumbaseUnitcpuram
-
-
noncestring or number
-
feeOptionsobject requiredONE OF
-
unitstring enumbaseUnitcpuram -
formulastring enumfixedfeeRateperKBcustomperVKB -
feeTypestring enumbasemaxtip -
gasLimitnumber -
gasPricenumber
-
gasLimitnumber -
maxFeePerGasnumber -
maxPriorityFeePerGasnumber
-
-
intentTypestring enum requiredacceleration -
txidstring required -
intentTypestring enum requiredpaymenttransferTokenconsolidateconsolidateTokenfanoutstakeunstakedelegateundelegateswitchValidatorclaimstakeClaimRewardspledgevotecreateAccountupdateAccountaddTrustLineremoveTrustLinesignMessagesignTypedStructuredDataenableTokenauthorizeaccelerationfillNoncewalletRecoverycontractCalldeactivatecustomTxcloseAssociatedTokenAccountdelegateResourceundelegateResource -
sequenceIdstring -
commentstring -
noncestring or number -
hopParamsobjecthopParams object
-
gasPriceMaxnumber required -
paymentIdstring required -
userReqSigstring required
-
-
receiveAddressstring -
senderAddressIndexnumber -
noncestring or number
-
intentTypestring enum requiredfillNonce -
noncestring or number required -
intentTypestring enum requiredpaymenttransferTokenconsolidateconsolidateTokenfanoutstakeunstakedelegateundelegateswitchValidatorclaimstakeClaimRewardspledgevotecreateAccountupdateAccountaddTrustLineremoveTrustLinesignMessagesignTypedStructuredDataenableTokenauthorizeaccelerationfillNoncewalletRecoverycontractCalldeactivatecustomTxcloseAssociatedTokenAccountdelegateResourceundelegateResource -
sequenceIdstring -
commentstring -
feeOptionsobjectONE OF
-
unitstring enumbaseUnitcpuram -
formulastring enumfixedfeeRateperKBcustomperVKB -
feeTypestring enumbasemaxtip -
gasLimitnumber -
gasPricenumber
-
gasLimitnumber -
maxFeePerGasnumber -
maxPriorityFeePerGasnumber
-
-
receiveAddressstring -
senderAddressIndexnumber
-
selfSendboolean required -
intentstring enum requiredpayment -
recipientsarray of objects requiredrecipients object
-
addressobject requiredaddress object
-
addressstring -
optionmap of objects
-
-
amountobject requiredamount object
-
valuestring required -
symbolstring required
-
-
datastring
-
-
intentTypestring enum requiredpaymenttransferTokenconsolidateconsolidateTokenfanoutstakeunstakedelegateundelegateswitchValidatorclaimstakeClaimRewardspledgevotecreateAccountupdateAccountaddTrustLineremoveTrustLinesignMessagesignTypedStructuredDataenableTokenauthorizeaccelerationfillNoncewalletRecoverycontractCalldeactivatecustomTxcloseAssociatedTokenAccountdelegateResourceundelegateResource -
sequenceIdstring -
commentstring -
noncestring or number -
feeOptionsobjectONE OF
-
unitstring enumbaseUnitcpuram -
formulastring enumfixedfeeRateperKBcustomperVKB -
feeTypestring enumbasemaxtip -
gasLimitnumber -
gasPricenumber
-
gasLimitnumber -
maxFeePerGasnumber -
maxPriorityFeePerGasnumber
-
-
hopParamsobjecthopParams object
-
gasPriceMaxnumber required -
paymentIdstring required -
userReqSigstring required
-
-
receiveAddressstring -
senderAddressIndexnumber -
noncestring or number
-
intentTypestring required -
sequenceIdstringAsequenceIdis a unique and arbitrary wallet identifier applied to transfers and transactions at creation. It is optional but highly recommended. With asequenceIdyou can easily reference transfers and transactions—for example, to safely retry sending. Because BitGo only confirms one send request persequenceId(and fails all subsequent attempts), you can retry sending without the risk of double spending. ThesequenceIdis only visible to users on the wallet and is not shared publicly. It is the responsibility of the caller to keep track of this ID. -
commentstringThecommentis only visible to users on the wallet and is not shared publicly. -
noncestringThe 'nonce' of a transaction (optional) -
memostringAmemois an additional address feature necessary for identifying a transaction recipient beyond wallet address. -
intentTypestring enum requiredsignMessage
-
pubkeystring required -
withdrawalCredentialsstring required -
signaturestring required -
depositDataRootstring required -
intentTypestring enum requiredstake -
stakingRequestIdstring required -
intentTypestring enum requiredpaymenttransferTokenconsolidateconsolidateTokenfanoutstakeunstakedelegateundelegateswitchValidatorclaimstakeClaimRewardspledgevotecreateAccountupdateAccountaddTrustLineremoveTrustLinesignMessagesignTypedStructuredDataenableTokenauthorizeaccelerationfillNoncewalletRecoverycontractCalldeactivatecustomTxcloseAssociatedTokenAccountdelegateResourceundelegateResource -
sequenceIdstring -
commentstring -
noncestring or number -
feeOptionsobjectONE OF
-
unitstring enumbaseUnitcpuram -
formulastring enumfixedfeeRateperKBcustomperVKB -
feeTypestring enumbasemaxtip -
gasLimitnumber -
gasPricenumber
-
gasLimitnumber -
maxFeePerGasnumber -
maxPriorityFeePerGasnumber
-
-
hopParamsobjecthopParams object
-
gasPriceMaxnumber required -
paymentIdstring required -
userReqSigstring required
-
-
receiveAddressstring -
senderAddressIndexnumber -
noncestring or number
-
intentTypestring required -
sequenceIdstringAsequenceIdis a unique and arbitrary wallet identifier applied to transfers and transactions at creation. It is optional but highly recommended. With asequenceIdyou can easily reference transfers and transactions—for example, to safely retry sending. Because BitGo only confirms one send request persequenceId(and fails all subsequent attempts), you can retry sending without the risk of double spending. ThesequenceIdis only visible to users on the wallet and is not shared publicly. It is the responsibility of the caller to keep track of this ID. -
commentstringThecommentis only visible to users on the wallet and is not shared publicly. -
noncestringThe 'nonce' of a transaction (optional) -
memostringAmemois an additional address feature necessary for identifying a transaction recipient beyond wallet address. -
stakingRequestIdstring required -
intentTypestring enum requiredstake -
recipientsarray of objects requiredrecipients object
-
addressobject requiredaddress object
-
addressstring required -
optionsobject
-
-
amountobject requiredamount object
-
valuestring requiredThe value should be a valid number. -
symbolstring requiredThe coin or token the value is referring to.
-
-
datastring -
tokenDataobjecttokenData object
-
tokenTypestringThe type of standard of the token. -
tokenQuantitystringThe quantity of token to transfer (should be 1 for ERC721). -
tokenContractAddressstringAddress of the token contract which is necessary if the token is not supported on WP. -
tokenNamestringName of the token as it is supported on WP. -
tokenIdstringId of the token to be transferred which is required for NFTs. -
decimalPlacesnumberNumber of decimal places the token uses (for fungible tokens unsupported in WP).
-
-
-
intentTypestring required -
sequenceIdstringAsequenceIdis a unique and arbitrary wallet identifier applied to transfers and transactions at creation. It is optional but highly recommended. With asequenceIdyou can easily reference transfers and transactions—for example, to safely retry sending. Because BitGo only confirms one send request persequenceId(and fails all subsequent attempts), you can retry sending without the risk of double spending. ThesequenceIdis only visible to users on the wallet and is not shared publicly. It is the responsibility of the caller to keep track of this ID. -
commentstringThecommentis only visible to users on the wallet and is not shared publicly. -
noncestringThe 'nonce' of a transaction (optional) -
memostringAmemois an additional address feature necessary for identifying a transaction recipient beyond wallet address. -
stakingRequestIdstring required -
intentTypestring enum requiredunstake -
recipientsarray of objects requiredrecipients object
-
addressobject requiredaddress object
-
addressstring required -
optionsobject
-
-
amountobject requiredamount object
-
valuestring requiredThe value should be a valid number. -
symbolstring requiredThe coin or token the value is referring to.
-
-
datastring -
tokenDataobjecttokenData object
-
tokenTypestringThe type of standard of the token. -
tokenQuantitystringThe quantity of token to transfer (should be 1 for ERC721). -
tokenContractAddressstringAddress of the token contract which is necessary if the token is not supported on WP. -
tokenNamestringName of the token as it is supported on WP. -
tokenIdstringId of the token to be transferred which is required for NFTs. -
decimalPlacesnumberNumber of decimal places the token uses (for fungible tokens unsupported in WP).
-
-
-
intentTypestring required -
sequenceIdstringAsequenceIdis a unique and arbitrary wallet identifier applied to transfers and transactions at creation. It is optional but highly recommended. With asequenceIdyou can easily reference transfers and transactions—for example, to safely retry sending. Because BitGo only confirms one send request persequenceId(and fails all subsequent attempts), you can retry sending without the risk of double spending. ThesequenceIdis only visible to users on the wallet and is not shared publicly. It is the responsibility of the caller to keep track of this ID. -
commentstringThecommentis only visible to users on the wallet and is not shared publicly. -
noncestringThe 'nonce' of a transaction (optional) -
memostringAmemois an additional address feature necessary for identifying a transaction recipient beyond wallet address. -
stakingRequestIdstring required -
intentTypestring enum requiredclaim -
recipientsarray of objects requiredrecipients object
-
addressobject requiredaddress object
-
addressstring required -
optionsobject
-
-
amountobject requiredamount object
-
valuestring requiredThe value should be a valid number. -
symbolstring requiredThe coin or token the value is referring to.
-
-
datastring -
tokenDataobjecttokenData object
-
tokenTypestringThe type of standard of the token. -
tokenQuantitystringThe quantity of token to transfer (should be 1 for ERC721). -
tokenContractAddressstringAddress of the token contract which is necessary if the token is not supported on WP. -
tokenNamestringName of the token as it is supported on WP. -
tokenIdstringId of the token to be transferred which is required for NFTs. -
decimalPlacesnumberNumber of decimal places the token uses (for fungible tokens unsupported in WP).
-
-
-
stakingAddressstring required -
amountobject requiredamount object
-
valuestring required -
symbolstring required
-
-
intentTypestring enum requiredclaim -
amountobject requiredamount object
-
symbolstring required -
valuestring required
-
-
stakingRequestIdstring required -
intentTypestring enum requiredpaymenttransferTokenconsolidateconsolidateTokenfanoutstakeunstakedelegateundelegateswitchValidatorclaimstakeClaimRewardspledgevotecreateAccountupdateAccountaddTrustLineremoveTrustLinesignMessagesignTypedStructuredDataenableTokenauthorizeaccelerationfillNoncewalletRecoverycontractCalldeactivatecustomTxcloseAssociatedTokenAccountdelegateResourceundelegateResource -
sequenceIdstring -
commentstring -
noncestring or number -
memostring required -
noncestring or number
-
intentTypestring enum requiredcloseAssociatedTokenAccount -
recipientsarray of objects requiredrecipients object
-
addressobject requiredaddress object
-
addressstring required -
optionsobject
-
-
amountobject requiredamount object
-
valuestring requiredThe value should be a valid number. -
symbolstring requiredThe coin or token the value is referring to.
-
-
datastring -
tokenDataobjecttokenData object
-
tokenTypestringThe type of standard of the token. -
tokenQuantitystringThe quantity of token to transfer (should be 1 for ERC721). -
tokenContractAddressstringAddress of the token contract which is necessary if the token is not supported on WP. -
tokenNamestringName of the token as it is supported on WP. -
tokenIdstringId of the token to be transferred which is required for NFTs. -
decimalPlacesnumberNumber of decimal places the token uses (for fungible tokens unsupported in WP).
-
-
-
intentTypestring enum requiredpaymenttransferTokenconsolidateconsolidateTokenfanoutstakeunstakedelegateundelegateswitchValidatorclaimstakeClaimRewardspledgevotecreateAccountupdateAccountaddTrustLineremoveTrustLinesignMessagesignTypedStructuredDataenableTokenauthorizeaccelerationfillNoncewalletRecoverycontractCalldeactivatecustomTxcloseAssociatedTokenAccountdelegateResourceundelegateResource -
sequenceIdstring -
commentstring -
noncestring or number -
memostring required -
noncestring or number
-
intentTypestring enum requiredenableToken -
enableTokensarray of objects requiredenableTokens object
-
namestring required -
addressstring
-
-
intentTypestring enum requiredpaymenttransferTokenconsolidateconsolidateTokenfanoutstakeunstakedelegateundelegateswitchValidatorclaimstakeClaimRewardspledgevotecreateAccountupdateAccountaddTrustLineremoveTrustLinesignMessagesignTypedStructuredDataenableTokenauthorizeaccelerationfillNoncewalletRecoverycontractCalldeactivatecustomTxcloseAssociatedTokenAccountdelegateResourceundelegateResource -
sequenceIdstring -
commentstring -
noncestring or number -
memostring required -
noncestring or number
-
validatorAddressstring required -
amountobject requiredamount object
-
valuestring required -
symbolstring required
-
-
intentTypestring enum requiredstake -
stakingRequestIdstring required -
intentTypestring enum requiredpaymenttransferTokenconsolidateconsolidateTokenfanoutstakeunstakedelegateundelegateswitchValidatorclaimstakeClaimRewardspledgevotecreateAccountupdateAccountaddTrustLineremoveTrustLinesignMessagesignTypedStructuredDataenableTokenauthorizeaccelerationfillNoncewalletRecoverycontractCalldeactivatecustomTxcloseAssociatedTokenAccountdelegateResourceundelegateResource -
sequenceIdstring -
commentstring -
noncestring or number -
memostring required -
noncestring or number
-
stakingAddressstring required -
amountobjectamount object
-
symbolstring required -
valuestring required
-
-
remainingStakingAmountobjectremainingStakingAmount object
-
symbolstring required -
valuestring required
-
-
intentTypestring enum requiredunstake -
stakingRequestIdstring required -
intentTypestring enum requiredpaymenttransferTokenconsolidateconsolidateTokenfanoutstakeunstakedelegateundelegateswitchValidatorclaimstakeClaimRewardspledgevotecreateAccountupdateAccountaddTrustLineremoveTrustLinesignMessagesignTypedStructuredDataenableTokenauthorizeaccelerationfillNoncewalletRecoverycontractCalldeactivatecustomTxcloseAssociatedTokenAccountdelegateResourceundelegateResource -
sequenceIdstring -
commentstring -
noncestring or number -
memostring required -
noncestring or number
-
intentTypestring required -
sequenceIdstringAsequenceIdis a unique and arbitrary wallet identifier applied to transfers and transactions at creation. It is optional but highly recommended. With asequenceIdyou can easily reference transfers and transactions—for example, to safely retry sending. Because BitGo only confirms one send request persequenceId(and fails all subsequent attempts), you can retry sending without the risk of double spending. ThesequenceIdis only visible to users on the wallet and is not shared publicly. It is the responsibility of the caller to keep track of this ID. -
commentstringThecommentis only visible to users on the wallet and is not shared publicly. -
noncestringThe 'nonce' of a transaction (optional) -
memostringAmemois an additional address feature necessary for identifying a transaction recipient beyond wallet address. -
intentTypestring enum requiredtransferToken -
recipientsarray of objectsrecipients object
-
addressobject requiredaddress object
-
addressstring required -
optionsobject
-
-
amountobject requiredamount object
-
valuestring requiredThe value should be a valid number. -
symbolstring requiredThe coin or token the value is referring to.
-
-
datastring -
tokenDataobjecttokenData object
-
tokenTypestringThe type of standard of the token. -
tokenQuantitystringThe quantity of token to transfer (should be 1 for ERC721). -
tokenContractAddressstringAddress of the token contract which is necessary if the token is not supported on WP. -
tokenNamestringName of the token as it is supported on WP. -
tokenIdstringId of the token to be transferred which is required for NFTs. -
decimalPlacesnumberNumber of decimal places the token uses (for fungible tokens unsupported in WP).
-
-
-
intentTypestring enum requireddelegateResource -
stakingRequestIdstring required -
ownerAddressstring requiredTRON address delegating resources (typically the wallet root address) -
receiverAddressstring requiredTRON address receiving the delegated ENERGY or BANDWIDTH -
amountobject requiredamount object
-
valuestring required -
symbolstring required
-
-
resourcestring enum requiredENERGYBANDWIDTH -
intentTypestring enum requiredpaymenttransferTokenconsolidateconsolidateTokenfanoutstakeunstakedelegateundelegateswitchValidatorclaimstakeClaimRewardspledgevotecreateAccountupdateAccountaddTrustLineremoveTrustLinesignMessagesignTypedStructuredDataenableTokenauthorizeaccelerationfillNoncewalletRecoverycontractCalldeactivatecustomTxcloseAssociatedTokenAccountdelegateResourceundelegateResource -
sequenceIdstring -
commentstring -
noncestring or number
-
intentTypestring enum requiredundelegateResource -
stakingRequestIdstring required -
ownerAddressstring requiredTRON address that delegated the resources (typically the wallet root address) -
receiverAddressstring requiredTRON address from which resources are being undelegated -
amountobject requiredamount object
-
valuestring required -
symbolstring required
-
-
resourcestring enum requiredENERGYBANDWIDTH -
intentTypestring enum requiredpaymenttransferTokenconsolidateconsolidateTokenfanoutstakeunstakedelegateundelegateswitchValidatorclaimstakeClaimRewardspledgevotecreateAccountupdateAccountaddTrustLineremoveTrustLinesignMessagesignTypedStructuredDataenableTokenauthorizeaccelerationfillNoncewalletRecoverycontractCalldeactivatecustomTxcloseAssociatedTokenAccountdelegateResourceundelegateResource -
sequenceIdstring -
commentstring -
noncestring or number
-
intentTypestring required -
sequenceIdstringAsequenceIdis a unique and arbitrary wallet identifier applied to transfers and transactions at creation. It is optional but highly recommended. With asequenceIdyou can easily reference transfers and transactions—for example, to safely retry sending. Because BitGo only confirms one send request persequenceId(and fails all subsequent attempts), you can retry sending without the risk of double spending. ThesequenceIdis only visible to users on the wallet and is not shared publicly. It is the responsibility of the caller to keep track of this ID. -
commentstringThecommentis only visible to users on the wallet and is not shared publicly. -
noncestringThe 'nonce' of a transaction (optional) -
memostringAmemois an additional address feature necessary for identifying a transaction recipient beyond wallet address. -
stakingRequestIdstring required -
intentTypestring enum requiredunstake
-
intentTypestring required -
sequenceIdstringAsequenceIdis a unique and arbitrary wallet identifier applied to transfers and transactions at creation. It is optional but highly recommended. With asequenceIdyou can easily reference transfers and transactions—for example, to safely retry sending. Because BitGo only confirms one send request persequenceId(and fails all subsequent attempts), you can retry sending without the risk of double spending. ThesequenceIdis only visible to users on the wallet and is not shared publicly. It is the responsibility of the caller to keep track of this ID. -
commentstringThecommentis only visible to users on the wallet and is not shared publicly.
-
intentTypestring required -
sequenceIdstringAsequenceIdis a unique and arbitrary wallet identifier applied to transfers and transactions at creation. It is optional but highly recommended. With asequenceIdyou can easily reference transfers and transactions—for example, to safely retry sending. Because BitGo only confirms one send request persequenceId(and fails all subsequent attempts), you can retry sending without the risk of double spending. ThesequenceIdis only visible to users on the wallet and is not shared publicly. It is the responsibility of the caller to keep track of this ID. -
commentstringThecommentis only visible to users on the wallet and is not shared publicly. -
noncestringThe 'nonce' of a transaction (optional) -
memostringAmemois an additional address feature necessary for identifying a transaction recipient beyond wallet address. -
stakingRequestIdstring required -
intentTypestring enum requiredclaim
-
pendingApprovalIdstringThe id of the Pending Approval that was created for the TxRequest if one was required. -
isCanceledbooleanTrue, if the transaction request is canceled. -
unsignedTxsarray of objectsHolds all unsigned transactions that will be used to fulfill the TxRequest for MPC wallets.unsignedTxs object
-
serializedTxHexstring requiredThe unsigned transaction as a hex string. -
signableHexstring requiredThe portion of a transaction used to generate a signature (may or may not be the same as serializedTxHex) as a hex string. -
derivationPathstringA bip32 path. -
feeInfoobjectfeeInfo object
-
feeStringstring required -
feenumber required
-
-
coinSpecificobjectCoin specific information. -
parsedTxobjectThe parsed transaction information.parsedTx object
-
minerFeestring required -
spendAmountstring -
spendAmountsarray of objectsspendAmounts object
-
coinNamestring -
amountStringstring
-
-
payGoFeestring -
outputsarray of objects requiredoutputs object
-
addressstring required -
isPayGoboolean -
valuenumber -
walletstring -
walletV1string -
baseAddressstring -
enterprisestring -
valueStringstring required -
datastring -
changeboolean -
coinNamestring
-
-
inputsarray of objects requiredinputs object
-
derivationIndexnumber -
valuenumber required -
addressstring -
valueStringstring required -
chainnumber -
indexnumber
-
-
typestring -
memostring
-
-
-
signatureSharesarray of objectsOnly used for MPC coins. This is used to collect signature shares from and exchange them with the user.signatureShares object
-
fromstring enum requiredThe source of the signature share.userbackupbitgo -
tostring enum requiredThe recipient of the signature share.userbackupbitgo -
sharestring requiredThe signature share.
-
-
commitmentSharesarray of objectsOnly used for MPC coins on EdDSA curve. This is used to collect commitment shares from and exchange them with the user.commitmentShares object
-
fromstring enum requiredThe source of the commitment share.userbackupbitgo -
tostring enum requiredThe recipient of the commitment share.userbackupbitgo -
sharestring requiredThe commitment share. -
typestring enum requiredThe type of the commitment share.commitment
-
-
txHashesarray of strings
-
txRequestIdstring requiredThe transaction request ID. This is the ID returned by the Create Transaction Request API. -
walletPassphrasestringThe wallet passphrase. Required if External Signer is not used to sign the transactions. -
prvstringThe un-encrypted user private key of the wallet. If the key is a JSON object it must be stringified. Required for Self-Managed Cold wallets when External Signer is not used to sign the transactions.
Responses
200
OK
Response Body
ANY OF
-
txRequestIdstring requiredA unique ID for the TxRequest document across all wallets. The combination of the txRequestId and version will always be unique. -
versionnumber requiredThe version of the document. Data changes are done only with inserts and incrementing the version. -
latestboolean requiredA boolean flag that indicates whether the document is the latest version of the TxRequest. -
walletIdstring requiredThe id of the Wallet the TxRequest is for. -
walletTypestring enumThe type describes who owns the keys to the wallet associated to the TxRequest.coldcustodialcustodialPairedhottradingdistributedCustodyadvanced -
enterpriseIdstringIf the wallet that owns the TxRequest is owned by an enterprise then this is the Id of said enterprise. -
statestring enum requiredinitializedpendingApprovalpendingUserCommitmentpendingUserRSharependingUserGSharereadyToSendpendingUserSignaturependingDeliverysigneddeliveredcanceledrejectedfailed -
datestring date-time requiredThe date and time this version of the TxRequest document was created. -
createdDatestring date-time requiredThe date and time the version 1 TxRequest document was created. -
userIdstring requiredThe Id of the User that produced this version of the TxRequest document. Could have created a new document or updated an existing document. -
initiatedBystring requiredThe Id of the User that originally created the TxRequest document (initiated the TxRequest). -
updatedBystring requiredThe Id of the User that last updated the TxRequest document. This is an alias for the userId field. -
intentobject requiredANY OF
- AdaStakeIntent1
- ConsolidateTokenIntent1
- CosmosContractCallIntent1
- DOTClaimIntent
- DotPaymentIntent1
- DotStakingIntent1
- DotUnstakingIntent1
- EthAccelerationIntent1
- EthFillNonceIntent1
- EthPaymentIntent1
- ETHSignMessageIntent
- EthStakingIntent1
- NearStakeIntent1
- NearUnstakeIntent1
- NearWithdrawIntent1
- SolClaimIntent1
- SolCloseAssociatedTokenAccountIntent1
- SolCreateAssociatedTokenAccountIntent1
- SolStakeIntent1
- SolUnstakeIntent1
- TransferTokenIntent1
- TrxDelegateResourceIntent1
- TrxUndelegateResourceIntent1
- UnstakeIntent2
- WalletRecoveryIntent1
- WithdrawIntent2
No matching variants
-
intentTypestring required -
sequenceIdstringAsequenceIdis a unique and arbitrary wallet identifier applied to transfers and transactions at creation. It is optional but highly recommended. With asequenceIdyou can easily reference transfers and transactions—for example, to safely retry sending. Because BitGo only confirms one send request persequenceId(and fails all subsequent attempts), you can retry sending without the risk of double spending. ThesequenceIdis only visible to users on the wallet and is not shared publicly. It is the responsibility of the caller to keep track of this ID. -
commentstringThecommentis only visible to users on the wallet and is not shared publicly. -
noncestringThe 'nonce' of a transaction (optional) -
memostringAmemois an additional address feature necessary for identifying a transaction recipient beyond wallet address. -
stakingRequestIdstring required -
intentTypestring enum requiredstake -
poolKeyHashstring requiredThe pool key hash to which the coins will be delegated to.
-
intentTypestring required -
sequenceIdstringAsequenceIdis a unique and arbitrary wallet identifier applied to transfers and transactions at creation. It is optional but highly recommended. With asequenceIdyou can easily reference transfers and transactions—for example, to safely retry sending. Because BitGo only confirms one send request persequenceId(and fails all subsequent attempts), you can retry sending without the risk of double spending. ThesequenceIdis only visible to users on the wallet and is not shared publicly. It is the responsibility of the caller to keep track of this ID. -
commentstringThecommentis only visible to users on the wallet and is not shared publicly. -
noncestringThe 'nonce' of a transaction (optional) -
memostringAmemois an additional address feature necessary for identifying a transaction recipient beyond wallet address. -
feeOptionsobjectONE OF
-
unitstring enumbaseUnitcpuram -
formulastring enumfixedfeeRateperKBcustomperVKB -
feeTypestring enumbasemaxtip -
gasLimitnumber -
gasPricenumber
-
gasLimitnumber -
maxFeePerGasnumber -
maxPriorityFeePerGasnumber
-
-
hopParamsobjecthopParams object
-
gasPriceMaxnumber required -
paymentIdstring required -
userReqSigstring required
-
-
receiveAddressstring -
senderAddressIndexnumber -
noncestring or number -
intentTypestring enum requiredconsolidateToken -
recipientsarray of objects requiredrecipients object
-
addressobject requiredaddress object
-
addressstring required -
optionsobject
-
-
amountobject requiredamount object
-
valuestring requiredThe value should be a valid number. -
symbolstring requiredThe coin or token the value is referring to.
-
-
datastring -
tokenDataobjecttokenData object
-
tokenTypestringThe type of standard of the token. -
tokenQuantitystringThe quantity of token to transfer (should be 1 for ERC721). -
tokenContractAddressstringAddress of the token contract which is necessary if the token is not supported on WP. -
tokenNamestringName of the token as it is supported on WP. -
tokenIdstringId of the token to be transferred which is required for NFTs. -
decimalPlacesnumberNumber of decimal places the token uses (for fungible tokens unsupported in WP).
-
-
-
consolidateIdstringConsolidation ID of this consolidation transaction -
keepAlivestringTrue, if excluding the minimum-funding amounts in an address during consolidation.
-
intentTypestring required -
sequenceIdstringAsequenceIdis a unique and arbitrary wallet identifier applied to transfers and transactions at creation. It is optional but highly recommended. With asequenceIdyou can easily reference transfers and transactions—for example, to safely retry sending. Because BitGo only confirms one send request persequenceId(and fails all subsequent attempts), you can retry sending without the risk of double spending. ThesequenceIdis only visible to users on the wallet and is not shared publicly. It is the responsibility of the caller to keep track of this ID. -
commentstringThecommentis only visible to users on the wallet and is not shared publicly. -
noncestringThe 'nonce' of a transaction (optional) -
memostringAmemois an additional address feature necessary for identifying a transaction recipient beyond wallet address. -
intentTypestring enum requiredcontractCall -
contractstring requiredThe address of the contract to call. -
msgHexstring requiredThe binary message data to send to the contract in hex format.
-
noncestring -
feeobjectfee object
-
amountstring required -
unitstring enumbaseUnitcpuram -
formulastring enumfixedfeeRateperKBcustom -
typestring enumbasemaxtip
-
-
intentTypestring required -
sequenceIdstringAsequenceIdis a unique and arbitrary wallet identifier applied to transfers and transactions at creation. It is optional but highly recommended. With asequenceIdyou can easily reference transfers and transactions—for example, to safely retry sending. Because BitGo only confirms one send request persequenceId(and fails all subsequent attempts), you can retry sending without the risk of double spending. ThesequenceIdis only visible to users on the wallet and is not shared publicly. It is the responsibility of the caller to keep track of this ID. -
commentstringThecommentis only visible to users on the wallet and is not shared publicly. -
noncestringThe 'nonce' of a transaction (optional) -
memostringAmemois an additional address feature necessary for identifying a transaction recipient beyond wallet address. -
stakingRequestIdstring required -
intentTypestring enum requiredclaim
-
proxyobject requiredproxy object
-
namestring -
addressStringstring -
assetstring -
amountStringstring
-
-
ownerstring required -
intentstring enum requiredpayment -
recipientsarray of objects requiredrecipients object
-
addressobject requiredaddress object
-
addressstring -
optionmap of objectsoption object
-
<key>object
-
-
-
amountobject requiredamount object
-
valuestring required -
symbolstring required
-
-
datastring
-
-
intentTypestring enum requiredpaymenttransferTokenconsolidateconsolidateTokenfanoutstakeunstakedelegateundelegateswitchValidatorclaimstakeClaimRewardspledgevotecreateAccountupdateAccountaddTrustLineremoveTrustLinesignMessagesignTypedStructuredDataenableTokenauthorizeaccelerationfillNoncewalletRecoverycontractCalldeactivatecustomTxcloseAssociatedTokenAccountdelegateResourceundelegateResource -
sequenceIdstring -
commentstring -
noncestring or number -
feeobjectfee object
-
amountstring or number required -
formulastring enumfixedfeeRateperKBcustom -
typestring enumbasemaxtip -
unitstring enumbaseUnitcpuram
-
-
noncestring or number
-
amountobject requiredamount object
- Same shape as
Amount1.
- Same shape as
-
stakingProxystring required -
addToStakeboolean -
addProxyboolean -
intentTypestring enum requiredstake -
stakingRequestIdstring required -
intentTypestring enum requiredpaymenttransferTokenconsolidateconsolidateTokenfanoutstakeunstakedelegateundelegateswitchValidatorclaimstakeClaimRewardspledgevotecreateAccountupdateAccountaddTrustLineremoveTrustLinesignMessagesignTypedStructuredDataenableTokenauthorizeaccelerationfillNoncewalletRecoverycontractCalldeactivatecustomTxcloseAssociatedTokenAccountdelegateResourceundelegateResource -
sequenceIdstring -
commentstring -
noncestring or number -
feeobjectfee object
-
amountstring or number required -
formulastring enumfixedfeeRateperKBcustom -
typestring enumbasemaxtip -
unitstring enumbaseUnitcpuram
-
-
noncestring or number
-
amountobject requiredamount object
- Same shape as
Amount1.
- Same shape as
-
stakingProxystring required -
stopStakingboolean -
intentTypestring enum requiredunstake -
stakingRequestIdstring required -
intentTypestring enum requiredpaymenttransferTokenconsolidateconsolidateTokenfanoutstakeunstakedelegateundelegateswitchValidatorclaimstakeClaimRewardspledgevotecreateAccountupdateAccountaddTrustLineremoveTrustLinesignMessagesignTypedStructuredDataenableTokenauthorizeaccelerationfillNoncewalletRecoverycontractCalldeactivatecustomTxcloseAssociatedTokenAccountdelegateResourceundelegateResource -
sequenceIdstring -
commentstring -
noncestring or number -
feeobjectfee object
-
amountstring or number required -
formulastring enumfixedfeeRateperKBcustom -
typestring enumbasemaxtip -
unitstring enumbaseUnitcpuram
-
-
noncestring or number
-
feeOptionsobject requiredONE OF
-
unitstring enumbaseUnitcpuram -
formulastring enumfixedfeeRateperKBcustomperVKB -
feeTypestring enumbasemaxtip -
gasLimitnumber -
gasPricenumber
-
gasLimitnumber -
maxFeePerGasnumber -
maxPriorityFeePerGasnumber
-
-
intentTypestring enum requiredacceleration -
txidstring required -
intentTypestring enum requiredpaymenttransferTokenconsolidateconsolidateTokenfanoutstakeunstakedelegateundelegateswitchValidatorclaimstakeClaimRewardspledgevotecreateAccountupdateAccountaddTrustLineremoveTrustLinesignMessagesignTypedStructuredDataenableTokenauthorizeaccelerationfillNoncewalletRecoverycontractCalldeactivatecustomTxcloseAssociatedTokenAccountdelegateResourceundelegateResource -
sequenceIdstring -
commentstring -
noncestring or number -
hopParamsobjecthopParams object
-
gasPriceMaxnumber required -
paymentIdstring required -
userReqSigstring required
-
-
receiveAddressstring -
senderAddressIndexnumber -
noncestring or number
-
intentTypestring enum requiredfillNonce -
noncestring or number required -
intentTypestring enum requiredpaymenttransferTokenconsolidateconsolidateTokenfanoutstakeunstakedelegateundelegateswitchValidatorclaimstakeClaimRewardspledgevotecreateAccountupdateAccountaddTrustLineremoveTrustLinesignMessagesignTypedStructuredDataenableTokenauthorizeaccelerationfillNoncewalletRecoverycontractCalldeactivatecustomTxcloseAssociatedTokenAccountdelegateResourceundelegateResource -
sequenceIdstring -
commentstring -
feeOptionsobjectONE OF
-
unitstring enumbaseUnitcpuram -
formulastring enumfixedfeeRateperKBcustomperVKB -
feeTypestring enumbasemaxtip -
gasLimitnumber -
gasPricenumber
-
gasLimitnumber -
maxFeePerGasnumber -
maxPriorityFeePerGasnumber
-
-
receiveAddressstring -
senderAddressIndexnumber
-
selfSendboolean required -
intentstring enum requiredpayment -
recipientsarray of objects requiredrecipients object
-
addressobject requiredaddress object
- Same shape as
Address1.
- Same shape as
-
amountobject requiredamount object
- Same shape as
Amount1.
- Same shape as
-
datastring
-
-
intentTypestring enum requiredpaymenttransferTokenconsolidateconsolidateTokenfanoutstakeunstakedelegateundelegateswitchValidatorclaimstakeClaimRewardspledgevotecreateAccountupdateAccountaddTrustLineremoveTrustLinesignMessagesignTypedStructuredDataenableTokenauthorizeaccelerationfillNoncewalletRecoverycontractCalldeactivatecustomTxcloseAssociatedTokenAccountdelegateResourceundelegateResource -
sequenceIdstring -
commentstring -
noncestring or number -
feeOptionsobjectONE OF
-
unitstring enumbaseUnitcpuram -
formulastring enumfixedfeeRateperKBcustomperVKB -
feeTypestring enumbasemaxtip -
gasLimitnumber -
gasPricenumber
-
gasLimitnumber -
maxFeePerGasnumber -
maxPriorityFeePerGasnumber
-
-
hopParamsobjecthopParams object
-
gasPriceMaxnumber required -
paymentIdstring required -
userReqSigstring required
-
-
receiveAddressstring -
senderAddressIndexnumber -
noncestring or number
-
intentTypestring required -
sequenceIdstringAsequenceIdis a unique and arbitrary wallet identifier applied to transfers and transactions at creation. It is optional but highly recommended. With asequenceIdyou can easily reference transfers and transactions—for example, to safely retry sending. Because BitGo only confirms one send request persequenceId(and fails all subsequent attempts), you can retry sending without the risk of double spending. ThesequenceIdis only visible to users on the wallet and is not shared publicly. It is the responsibility of the caller to keep track of this ID. -
commentstringThecommentis only visible to users on the wallet and is not shared publicly. -
noncestringThe 'nonce' of a transaction (optional) -
memostringAmemois an additional address feature necessary for identifying a transaction recipient beyond wallet address. -
intentTypestring enum requiredsignMessage
-
pubkeystring required -
withdrawalCredentialsstring required -
signaturestring required -
depositDataRootstring required -
intentTypestring enum requiredstake -
stakingRequestIdstring required -
intentTypestring enum requiredpaymenttransferTokenconsolidateconsolidateTokenfanoutstakeunstakedelegateundelegateswitchValidatorclaimstakeClaimRewardspledgevotecreateAccountupdateAccountaddTrustLineremoveTrustLinesignMessagesignTypedStructuredDataenableTokenauthorizeaccelerationfillNoncewalletRecoverycontractCalldeactivatecustomTxcloseAssociatedTokenAccountdelegateResourceundelegateResource -
sequenceIdstring -
commentstring -
noncestring or number -
feeOptionsobjectONE OF
-
unitstring enumbaseUnitcpuram -
formulastring enumfixedfeeRateperKBcustomperVKB -
feeTypestring enumbasemaxtip -
gasLimitnumber -
gasPricenumber
-
gasLimitnumber -
maxFeePerGasnumber -
maxPriorityFeePerGasnumber
-
-
hopParamsobjecthopParams object
-
gasPriceMaxnumber required -
paymentIdstring required -
userReqSigstring required
-
-
receiveAddressstring -
senderAddressIndexnumber -
noncestring or number
-
intentTypestring required -
sequenceIdstringAsequenceIdis a unique and arbitrary wallet identifier applied to transfers and transactions at creation. It is optional but highly recommended. With asequenceIdyou can easily reference transfers and transactions—for example, to safely retry sending. Because BitGo only confirms one send request persequenceId(and fails all subsequent attempts), you can retry sending without the risk of double spending. ThesequenceIdis only visible to users on the wallet and is not shared publicly. It is the responsibility of the caller to keep track of this ID. -
commentstringThecommentis only visible to users on the wallet and is not shared publicly. -
noncestringThe 'nonce' of a transaction (optional) -
memostringAmemois an additional address feature necessary for identifying a transaction recipient beyond wallet address. -
stakingRequestIdstring required -
intentTypestring enum requiredstake -
recipientsarray of objects requiredrecipients object
- Same shape as
RecipientEntry1.
- Same shape as
-
intentTypestring required -
sequenceIdstringAsequenceIdis a unique and arbitrary wallet identifier applied to transfers and transactions at creation. It is optional but highly recommended. With asequenceIdyou can easily reference transfers and transactions—for example, to safely retry sending. Because BitGo only confirms one send request persequenceId(and fails all subsequent attempts), you can retry sending without the risk of double spending. ThesequenceIdis only visible to users on the wallet and is not shared publicly. It is the responsibility of the caller to keep track of this ID. -
commentstringThecommentis only visible to users on the wallet and is not shared publicly. -
noncestringThe 'nonce' of a transaction (optional) -
memostringAmemois an additional address feature necessary for identifying a transaction recipient beyond wallet address. -
stakingRequestIdstring required -
intentTypestring enum requiredunstake -
recipientsarray of objects requiredrecipients object
- Same shape as
RecipientEntry1.
- Same shape as
-
intentTypestring required -
sequenceIdstringAsequenceIdis a unique and arbitrary wallet identifier applied to transfers and transactions at creation. It is optional but highly recommended. With asequenceIdyou can easily reference transfers and transactions—for example, to safely retry sending. Because BitGo only confirms one send request persequenceId(and fails all subsequent attempts), you can retry sending without the risk of double spending. ThesequenceIdis only visible to users on the wallet and is not shared publicly. It is the responsibility of the caller to keep track of this ID. -
commentstringThecommentis only visible to users on the wallet and is not shared publicly. -
noncestringThe 'nonce' of a transaction (optional) -
memostringAmemois an additional address feature necessary for identifying a transaction recipient beyond wallet address. -
stakingRequestIdstring required -
intentTypestring enum requiredclaim -
recipientsarray of objects requiredrecipients object
- Same shape as
RecipientEntry1.
- Same shape as
-
stakingAddressstring required -
amountobject requiredamount object
- Same shape as
Amount1.
- Same shape as
-
intentTypestring enum requiredclaim -
amountobject requiredamount object
-
symbolstring required -
valuestring required
-
-
stakingRequestIdstring required -
intentTypestring enum requiredpaymenttransferTokenconsolidateconsolidateTokenfanoutstakeunstakedelegateundelegateswitchValidatorclaimstakeClaimRewardspledgevotecreateAccountupdateAccountaddTrustLineremoveTrustLinesignMessagesignTypedStructuredDataenableTokenauthorizeaccelerationfillNoncewalletRecoverycontractCalldeactivatecustomTxcloseAssociatedTokenAccountdelegateResourceundelegateResource -
sequenceIdstring -
commentstring -
noncestring or number -
memostring required -
noncestring or number
-
intentTypestring enum requiredcloseAssociatedTokenAccount -
recipientsarray of objects requiredrecipients object
- Same shape as
RecipientEntry1.
- Same shape as
-
intentTypestring enum requiredpaymenttransferTokenconsolidateconsolidateTokenfanoutstakeunstakedelegateundelegateswitchValidatorclaimstakeClaimRewardspledgevotecreateAccountupdateAccountaddTrustLineremoveTrustLinesignMessagesignTypedStructuredDataenableTokenauthorizeaccelerationfillNoncewalletRecoverycontractCalldeactivatecustomTxcloseAssociatedTokenAccountdelegateResourceundelegateResource -
sequenceIdstring -
commentstring -
noncestring or number -
memostring required -
noncestring or number
-
intentTypestring enum requiredenableToken -
enableTokensarray of objects requiredenableTokens object
-
namestring required -
addressstring
-
-
intentTypestring enum requiredpaymenttransferTokenconsolidateconsolidateTokenfanoutstakeunstakedelegateundelegateswitchValidatorclaimstakeClaimRewardspledgevotecreateAccountupdateAccountaddTrustLineremoveTrustLinesignMessagesignTypedStructuredDataenableTokenauthorizeaccelerationfillNoncewalletRecoverycontractCalldeactivatecustomTxcloseAssociatedTokenAccountdelegateResourceundelegateResource -
sequenceIdstring -
commentstring -
noncestring or number -
memostring required -
noncestring or number
-
validatorAddressstring required -
amountobject requiredamount object
- Same shape as
Amount1.
- Same shape as
-
intentTypestring enum requiredstake -
stakingRequestIdstring required -
intentTypestring enum requiredpaymenttransferTokenconsolidateconsolidateTokenfanoutstakeunstakedelegateundelegateswitchValidatorclaimstakeClaimRewardspledgevotecreateAccountupdateAccountaddTrustLineremoveTrustLinesignMessagesignTypedStructuredDataenableTokenauthorizeaccelerationfillNoncewalletRecoverycontractCalldeactivatecustomTxcloseAssociatedTokenAccountdelegateResourceundelegateResource -
sequenceIdstring -
commentstring -
noncestring or number -
memostring required -
noncestring or number
-
stakingAddressstring required -
amountobjectamount object
-
symbolstring required -
valuestring required
-
-
remainingStakingAmountobjectremainingStakingAmount object
-
symbolstring required -
valuestring required
-
-
intentTypestring enum requiredunstake -
stakingRequestIdstring required -
intentTypestring enum requiredpaymenttransferTokenconsolidateconsolidateTokenfanoutstakeunstakedelegateundelegateswitchValidatorclaimstakeClaimRewardspledgevotecreateAccountupdateAccountaddTrustLineremoveTrustLinesignMessagesignTypedStructuredDataenableTokenauthorizeaccelerationfillNoncewalletRecoverycontractCalldeactivatecustomTxcloseAssociatedTokenAccountdelegateResourceundelegateResource -
sequenceIdstring -
commentstring -
noncestring or number -
memostring required -
noncestring or number
-
intentTypestring required -
sequenceIdstringAsequenceIdis a unique and arbitrary wallet identifier applied to transfers and transactions at creation. It is optional but highly recommended. With asequenceIdyou can easily reference transfers and transactions—for example, to safely retry sending. Because BitGo only confirms one send request persequenceId(and fails all subsequent attempts), you can retry sending without the risk of double spending. ThesequenceIdis only visible to users on the wallet and is not shared publicly. It is the responsibility of the caller to keep track of this ID. -
commentstringThecommentis only visible to users on the wallet and is not shared publicly. -
noncestringThe 'nonce' of a transaction (optional) -
memostringAmemois an additional address feature necessary for identifying a transaction recipient beyond wallet address. -
intentTypestring enum requiredtransferToken -
recipientsarray of objectsrecipients object
- Same shape as
RecipientEntry1.
- Same shape as
-
intentTypestring enum requireddelegateResource -
stakingRequestIdstring required -
ownerAddressstring requiredTRON address delegating resources (typically the wallet root address) -
receiverAddressstring requiredTRON address receiving the delegated ENERGY or BANDWIDTH -
amountobject requiredamount object
- Same shape as
Amount1.
- Same shape as
-
resourcestring enum requiredENERGYBANDWIDTH -
intentTypestring enum requiredpaymenttransferTokenconsolidateconsolidateTokenfanoutstakeunstakedelegateundelegateswitchValidatorclaimstakeClaimRewardspledgevotecreateAccountupdateAccountaddTrustLineremoveTrustLinesignMessagesignTypedStructuredDataenableTokenauthorizeaccelerationfillNoncewalletRecoverycontractCalldeactivatecustomTxcloseAssociatedTokenAccountdelegateResourceundelegateResource -
sequenceIdstring -
commentstring -
noncestring or number
-
intentTypestring enum requiredundelegateResource -
stakingRequestIdstring required -
ownerAddressstring requiredTRON address that delegated the resources (typically the wallet root address) -
receiverAddressstring requiredTRON address from which resources are being undelegated -
amountobject requiredamount object
- Same shape as
Amount1.
- Same shape as
-
resourcestring enum requiredENERGYBANDWIDTH -
intentTypestring enum requiredpaymenttransferTokenconsolidateconsolidateTokenfanoutstakeunstakedelegateundelegateswitchValidatorclaimstakeClaimRewardspledgevotecreateAccountupdateAccountaddTrustLineremoveTrustLinesignMessagesignTypedStructuredDataenableTokenauthorizeaccelerationfillNoncewalletRecoverycontractCalldeactivatecustomTxcloseAssociatedTokenAccountdelegateResourceundelegateResource -
sequenceIdstring -
commentstring -
noncestring or number
-
intentTypestring required -
sequenceIdstringAsequenceIdis a unique and arbitrary wallet identifier applied to transfers and transactions at creation. It is optional but highly recommended. With asequenceIdyou can easily reference transfers and transactions—for example, to safely retry sending. Because BitGo only confirms one send request persequenceId(and fails all subsequent attempts), you can retry sending without the risk of double spending. ThesequenceIdis only visible to users on the wallet and is not shared publicly. It is the responsibility of the caller to keep track of this ID. -
commentstringThecommentis only visible to users on the wallet and is not shared publicly. -
noncestringThe 'nonce' of a transaction (optional) -
memostringAmemois an additional address feature necessary for identifying a transaction recipient beyond wallet address. -
stakingRequestIdstring required -
intentTypestring enum requiredunstake
-
intentTypestring required -
sequenceIdstringAsequenceIdis a unique and arbitrary wallet identifier applied to transfers and transactions at creation. It is optional but highly recommended. With asequenceIdyou can easily reference transfers and transactions—for example, to safely retry sending. Because BitGo only confirms one send request persequenceId(and fails all subsequent attempts), you can retry sending without the risk of double spending. ThesequenceIdis only visible to users on the wallet and is not shared publicly. It is the responsibility of the caller to keep track of this ID. -
commentstringThecommentis only visible to users on the wallet and is not shared publicly.
-
intentTypestring required -
sequenceIdstringAsequenceIdis a unique and arbitrary wallet identifier applied to transfers and transactions at creation. It is optional but highly recommended. With asequenceIdyou can easily reference transfers and transactions—for example, to safely retry sending. Because BitGo only confirms one send request persequenceId(and fails all subsequent attempts), you can retry sending without the risk of double spending. ThesequenceIdis only visible to users on the wallet and is not shared publicly. It is the responsibility of the caller to keep track of this ID. -
commentstringThecommentis only visible to users on the wallet and is not shared publicly. -
noncestringThe 'nonce' of a transaction (optional) -
memostringAmemois an additional address feature necessary for identifying a transaction recipient beyond wallet address. -
stakingRequestIdstring required -
intentTypestring enum requiredclaim
-
intentsarray of objects requiredintents object
- Same shape as
TransactionRequestIntent.
- Same shape as
-
pendingApprovalIdstringThe id of the Pending Approval that was created for the TxRequest if one was required. -
isCanceledbooleanTrue, if the transaction request is canceled. -
unsignedTxsarray of objectsHolds all unsigned transactions that will be used to fulfill the TxRequest for MPC wallets.unsignedTxs object
-
serializedTxHexstring requiredThe unsigned transaction as a hex string. -
signableHexstring requiredThe portion of a transaction used to generate a signature (may or may not be the same as serializedTxHex) as a hex string. -
derivationPathstringA bip32 path. -
feeInfoobjectfeeInfo object
-
feeStringstring required -
feenumber required
-
-
coinSpecificobjectCoin specific information. -
parsedTxobjectThe parsed transaction information.parsedTx object
-
minerFeestring required -
spendAmountstring -
spendAmountsarray of objectsspendAmounts object
-
coinNamestring -
amountStringstring
-
-
payGoFeestring -
outputsarray of objects requiredoutputs object
-
addressstring required -
isPayGoboolean -
valuenumber -
walletstring -
walletV1string -
baseAddressstring -
enterprisestring -
valueStringstring required -
datastring -
changeboolean -
coinNamestring
-
-
inputsarray of objects requiredinputs object
-
derivationIndexnumber -
valuenumber required -
addressstring -
valueStringstring required -
chainnumber -
indexnumber
-
-
typestring -
memostring
-
-
-
signatureSharesarray of objectsOnly used for MPC coins. This is used to collect signature shares from and exchange them with the user.signatureShares object
-
fromstring enum requiredThe source of the signature share.userbackupbitgo -
tostring enum requiredThe recipient of the signature share.userbackupbitgo -
sharestring requiredThe signature share.
-
-
commitmentSharesarray of objectsOnly used for MPC coins on EdDSA curve. This is used to collect commitment shares from and exchange them with the user.commitmentShares object
-
fromstring enum requiredThe source of the commitment share.userbackupbitgo -
tostring enum requiredThe recipient of the commitment share.userbackupbitgo -
sharestring requiredThe commitment share. -
typestring enum requiredThe type of the commitment share.commitment
-
-
txHashesarray of strings
-
txRequestIdstring requiredA unique ID for the TxRequest document across all wallets. The combination of the txRequestId and version will always be unique. -
versionnumber requiredThe version of the document. Data changes are done only with inserts and incrementing the version. -
latestboolean requiredA boolean flag that indicates whether the document is the latest version of the TxRequest. -
walletIdstring requiredThe id of the Wallet the TxRequest is for. -
walletTypestring enumThe type describes who owns the keys to the wallet associated to the TxRequest.coldcustodialcustodialPairedhottradingdistributedCustodyadvanced -
enterpriseIdstringIf the wallet that owns the TxRequest is owned by an enterprise then this is the Id of said enterprise. -
statestring enum requiredinitializedpendingApprovalpendingUserCommitmentpendingUserRSharependingUserGSharereadyToSendpendingUserSignaturependingDeliverysigneddeliveredcanceledrejectedfailed -
datestring date-time requiredThe date and time this version of the TxRequest document was created. -
createdDatestring date-time requiredThe date and time the version 1 TxRequest document was created. -
userIdstring requiredThe Id of the User that produced this version of the TxRequest document. Could have created a new document or updated an existing document. -
initiatedBystring requiredThe Id of the User that originally created the TxRequest document (initiated the TxRequest). -
updatedBystring requiredThe Id of the User that last updated the TxRequest document. This is an alias for the userId field. -
intentobject requiredintent object
- Same shape as
TransactionRequestIntent.
- Same shape as
-
intentsarray of objects requiredintents object
- Same shape as
TransactionRequestIntent.
- Same shape as
-
pendingApprovalIdstringThe id of the Pending Approval that was created for the TxRequest if one was required. -
isCanceledbooleanTrue, if the transaction request is canceled. -
transactionsarray of objects requiredTransaction information.transactions object
-
statestring enum requiredinitializedpendingSignatureeddsaPendingCommitmenteddsaPendingRShareeddsaPendingGSharereadyToCombineSharessignedhelddeliveredinvalidSignaturerejectedecdsaMPCv2Round1ecdsaMPCv2Round2ecdsaMPCv2Round3 -
unsignedTxobject requiredHolds the unsigned transaction for this transaction in a tx-request.unsignedTx object
-
serializedTxHexstring requiredThe unsigned transaction as a hex string. -
signableHexstring requiredThe portion of a transaction used to generate a signature (may or may not be the same as serializedTxHex) as a hex string. -
derivationPathstringA bip32 path. -
feeInfoobjectfeeInfo object
-
feeStringstring required -
feenumber required
-
-
coinSpecificobjectCoin specific information. -
parsedTxobjectThe parsed transaction information.parsedTx object
-
minerFeestring required -
spendAmountstring -
spendAmountsarray of objectsspendAmounts object
-
coinNamestring -
amountStringstring
-
-
payGoFeestring -
outputsarray of objects requiredoutputs object
-
addressstring required -
isPayGoboolean -
valuenumber -
walletstring -
walletV1string -
baseAddressstring -
enterprisestring -
valueStringstring required -
datastring -
changeboolean -
coinNamestring
-
-
inputsarray of objects requiredinputs object
-
derivationIndexnumber -
valuenumber required -
addressstring -
valueStringstring required -
chainnumber -
indexnumber
-
-
typestring -
memostring
-
-
-
signatureSharesarray of objectsOnly used for MPC coins. This is used to collect signature shares from and exchange them with the user. Holds the signature shares for this transaction in a tx-request.signatureShares object
- Same shape as
SignatureShare.
- Same shape as
-
commitmentSharesarray of objectsOnly used for MPC coins on EdDSA curve. This is used to collect commitment shares from and exchange them with the user. Holds the commitment shares for this transaction in a tx-request.commitmentShares object
- Same shape as
CommitmentShare.
- Same shape as
-
txHashstringThe hash of the transaction from the TxRequest that has been signed and is pending broadcast. -
bitgoPaillierChallengeobjectBitGo-to-user paillier challenge. Required when signing with ECDSA MPC wallets.bitgoPaillierChallenge object
-
parray of strings
-
-
-
messagesarray of objectsMessages for the transaction request.messages object
-
coinstringThe coin associated with the wallet. -
combineSigSharestring -
createdDatestring date-timeThe date the message was created. -
messageEncodedstringThe message encoded as a hex string. -
messageRawstring requiredThe message as human readable text. -
signatureSharesarray of objectssignatureShares object
- Same shape as
SignatureShare.
- Same shape as
-
statestring enum requiredinitializedpendingApprovalpendingUserCommitmentpendingUserRSharependingUserGSharereadyToSendpendingUserSignaturependingDeliverysigneddeliveredcanceledrejectedfailed -
txHashstringThe signed hex of the message. -
updatedDatestring date-timeThe date when the message state was updated.
-